org.eclipse.actf.model.dom.odf.table

## Interface TableElement

All Superinterfaces:
  Element, IStylable, ITextElementContainer, Node, ODFElement

    public interface TableElement
    extends ODFElement, IStylable, ITextElementContainer

Interface for <table:table> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`TableRowElement` `appendNewTableRowElement()`
`boolean` `getAttrTableAttrPrint()`
`String` `getAttrTableName()`
`boolean` `getAttrTableProtected()`
`String` `getAttrTableStyleName()`
`ContentBaseElement` `getContent()`
`TableColumnElement` `getTableColumnChild(int column)`
`List<TableColumnElement>` `getTableColumnChildren()`
`int` `getTableColumnSize()`
`NodeList` `getTableHeaderColumns()`
`NodeList` `getTableHeaderRows()`
`int` `getTableIndex()`
`TableRowElement` `getTableRowChild(int row)`
`List<TableRowElement>` `getTableRowChildren()`
`int` `getTableRowSize()`
`SequenceElement` `getTextSequenceElement()`
`boolean` `hasTableCellStyle(int column, int row)`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.content.IStylable

`addStyleListener, getStyle, removeStyleListener, setStyle`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.range.ITextElementContainer

`getChildIterator, getContentSize`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrTableStyleName

    String getAttrTableStyleName()

#### getAttrTableName

    String getAttrTableName()

#### getAttrTableAttrPrint

    boolean getAttrTableAttrPrint()

#### getAttrTableProtected

    boolean getAttrTableProtected()

#### getContent

    ContentBaseElement getContent()

#### getTableIndex

    int getTableIndex()

#### getTableColumnChild

    TableColumnElement getTableColumnChild(int column)

#### getTableRowChild

    TableRowElement getTableRowChild(int row)

#### getTableColumnSize

    int getTableColumnSize()

#### getTableColumnChildren

    List<TableColumnElement> getTableColumnChildren()

#### getTableRowSize

    int getTableRowSize()

#### getTableRowChildren

    List<TableRowElement> getTableRowChildren()

#### hasTableCellStyle

    boolean hasTableCellStyle(int column,
                            int row)

#### appendNewTableRowElement

    TableRowElement appendNewTableRowElement()

#### getTableHeaderColumns

    NodeList getTableHeaderColumns()

#### getTableHeaderRows

    NodeList getTableHeaderRows()

#### getTextSequenceElement

    SequenceElement getTextSequenceElement()